#!/bin/sh

mv /opt/onvif/ /opt/Onvif;
rm -rf /opt/AudioPlayer/mac.cfg;
rm -rf /opt/AudioPlayer/tone/*;
rm -rf /opt/AudioPlayer/test*;
rm -rf /opt/AudioPlayer/rtsp_media*;
rm -rf /opt/AudioPlayer/onvif_srvd*;
rm -rf /opt/AudioPlayer/tone/*.wav;
rm -rf /opt/AudioPlayer/tone/update_*.mp3;
rm -rf /opt/Onvif/cfg_media.json;
rm -rf /opt/Onvif/cfg_onvif.json;

#cp -drf /opt/AudioPlayer/ /opt/AudioPlayer_bak/;
cp -drf /opt/AudioPlayer/AudioPlayer /opt/AudioPlayer/AudioPlayer.bak;

mv /tmp/update/lib/libced* /lib/;
mv /tmp/update/lib/libhv* /lib/;
mv /tmp/update/lib/libtag* /lib/;
mv /tmp/update/opt/AudioPlayer/AudioPlayer /opt/AudioPlayer/AudioPlayer;
/opt/AudioPlayer/AudioPlayer -check;

if [ ! -e "/work/gk7205v200/opt/lighttpd" ]; then
    mkdir -p /work/gk7205v200/opt/lighttpd
fi

cp -drf /tmp/update/* /;

#sed -i "s/A/+/g" /opt/lighttpd/webpages_new/static/js/app.js/app.js.00;
#cat /opt/lighttpd/webpages_new/static/js/app.js/app.js.* > /opt/lighttpd/webpages_new/static/js/app.f135bf09.js;
#rm -rf /opt/lighttpd/webpages_new/static/js/app.js/;
rm -rf /opt/lighttpd/webpages;
mv /opt/lighttpd/webpages_new/ /opt/lighttpd/webpages/;

#macaddr=$(cat /sys/class/net/eth0/address);
#echo "ifconfig eth0 hw ether $macaddr" > /opt/AudioPlayer/mac.sh;
macaddr=$(ip a s eth0 | awk 'NR==2{print $2}');
ipaddr_mask=$(ip a s eth0 | awk 'NR==3{print $2}');
gateway=$(ip r s | awk 'NR==1{print $3}');
echo "ip l set lo up;ip l set eth0 address $macaddr up;ip a a $ipaddr_mask dev eth0;ip r add default via $gateway;" > /opt/AudioPlayer/iproute.sh;

rm /NS* /AP* /update.sh*;

#sed -i "10c Mode = 2" /opt/AudioPlayer/AudioPlayer.ini;
#sed -i "71c Enable = 1" /opt/AudioPlayer/AudioPlayer.ini;

chmod -R 755 /bin /komod /opt /sbin /usr /lib /etc /root;

sync;

